Bug 84754 - deselect and select changes packages installed
deselect and select changes packages installed
Status: CLOSED DEFERRED
Product: Red Hat Public Beta
Classification: Retired
Component: redhat-config-packages (Show other bugs)
phoebe
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-02-20 19:13 EST by keith adamson
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-02-21 00:05:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description keith adamson 2003-02-20 19:13:04 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030206

Description of problem:
deselect and select changes packages installed

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
example
1.run redhat-config-packages from menu
2.deselect "Mail Server" by clicking on check mark
3.reselect "Mail Server" by clicking on check mark
4.packages change from [1/7] to [3/7]
    

Actual Results:  deselect and select changes packages installed

Expected Results:  deselect and select should not change packages installed

Additional info:

same behavior on other components groups ... redhat-config-packages should only
select packages presently installed when selecting a component group
Comment 1 Jeremy Katz 2003-02-21 00:05:42 EST
This is the expected behavior even if not the most intuitive in the world. 
Deselecting it marks everything for removal and selecting it again just returns
it to the "defaults" state instead of the "what you had installed" state.  May
revisit for a future release
Comment 2 keith adamson 2003-02-21 11:22:55 EST
Quick fix option:

Add text in main window that clarifies that the check box action "adds default
or removes installed component packages".  

Better fix option:

Change the check box to a button and label it "defaults" and change the action
to only select the default component packages.

Full fix option:

Fix as above and add a second button labeled "remove" and have it unselect all
component packages.  

Added functionality fix option:

Fix as above and add a third button labeled "installed" and have it select all
the presently installed component packages.

Note You need to log in before you can comment on or make changes to this bug.